× Help requests to be posted here

TronCycle3: Model not loading [Resolved]

More
7 years 1 week ago #42444 by circuitfry
Edit: Current situation:

I'll make it easy to group together everything developed so far.

Flan's Mod version: 4.6.3
Minecraft Forge version: 1.7.10 (stable release)
Gradle downloaded uses the stable forge source code.
setupDecompWorkspace, setupDevWorkspace, eclipse was fine.
Toolbox 2.0 was used to generate code.
ModelTronCycle3.java: pastebin.com/mds0cgZp
Eclipse used both OpenJDK 7 and Oracle SDK 7.
Content pack looks like this: db.tt/XiD2boh8

Current Error: wrote: [Flan's Mod] Failed to load model : TronCycle3 (TronCycle3.TronCycle3)
java.lang.reflect.InvocationTargetException

Caused by: java.lang.NoSuchMethodError: com.flansmod.client.tmt.ModelRendererTurbo.addBox(FFFIIIF)V
at com.flansmod.client.model.tc3.ModelTronCycle3.<init>(ModelTronCycle3.java:31)


Update: Changed to tc3.TronCycle3 in all appropriate sections. Still getting the Exception.
The topic has been locked.
More
7 years 1 week ago #42455 by Manus
what version of mc/flan are you working with?
The topic has been locked.
More
7 years 1 week ago #42458 by circuitfry
Here's a screenshot of my build path. I'm kinda stubborn about using emacs so I'm not used to Eclipse (loving the features though!) I'll look to see where Environment parameters will be but it looks like it checks out:
[link=http://postimg.org/image/711vr3vc3/] [/link]

I'll see about trying Oracle Java SDK but it does weird things to my computer, ironically enough.

I'm compiling this with the latest everything. I used 4.6.3 Flan's Mod, latest dev branch release and the latest MCP/stable forge source for, of course, 1.7.10 minecraft. The source doesn't build on its own due to incompletions in the multiplayer team games sections but you can kinda trick it into compiling a class anyway by running "clean project" in Eclipse.
The topic has been locked.
More
7 years 1 week ago #42460 by Manus
Well.. you said, you used the jeep as base for your bike... but the source code for the jeep in the wiki is an old one for 1.6.4, not working with 1.7.10

why you don't use the toolbox to create the plain java code?
The topic has been locked.
More
7 years 1 week ago #42459 by circuitfry
I'll go ahead and do that. I was under the assumption that the jeep's source code was 1.7.10 since it worked in 1.7.10, but yeah, I'll go ahead and remake it in the toolbox.

It has to be the java code. OpenJDK and Java 7 yield the same results, so you can probably safely say that OpenJDK is a kosher alternative if people don't like Oracle's JDK.
The topic has been locked.
More
7 years 1 week ago #42462 by Manus
well... no, there are significant code changes between 1.6 and 1.7.

and if you have trouble to setup gradle with opensdk, well use the oracle jdk, version 7.67 is the lastest, 8.xx has still some problems
The topic has been locked.
 
Latest Forum Posts
 
Latest Blog Posts
 
User Online
 
User Menu